### Method

# ICalGLib Component remove_property_by_kind

since: 4.0

#### Declaration [src]

    void
    i_cal_component_remove_property_by_kind (
      ICalComponent* component,
      ICalPropertyKind kind
    )

#### Description [src]

Removes all properties of that kind in the `ICalComponent`.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalPropertyKind`

  The `ICalPropertyKind` to be removed.